import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.Timer;

public class MyFrame extends JFrame implements ActionListener {

	static final int MAX_FRAME = 500;
	int frameNumber;
	Image background;

	private Thread aThread;

	class MyPanel extends JPanel {
		public void paintComponent(Graphics g) {
			super.paintComponents(g);
			g.drawImage(background, -frameNumber, -frameNumber, this);

		}
	}

	public MyFrame() {
		ImageIcon icon2 = new ImageIcon("beach.png");
		background = icon2.getImage();
		setSize(600, 300);
		Timer timer = new Timer(10, this);

		timer.start();
		add(new MyPanel());
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	@Override
	public void actionPerformed(ActionEvent evt) {
		frameNumber = (++frameNumber) % MAX_FRAME;
		repaint();
	}

	public static void main(String[] args) {
		MyFrame f = new MyFrame();
	}
}