import java.awt.Color;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

class Car{
	int id;
	String model;
	String color;
	int price;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getModel() {
		return model;
	}
	public void setModel(String model) {
		this.model = model;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int price) {
		this.price = price;
	}
	public Car(int id, String model, String color, int price) {
		super();
		this.id = id;
		this.model = model;
		this.color = color;
		this.price = price;
	}
	@Override
	public String toString() {
		return "Car [id=" + id + ", model=" + model + ", color=" + color + ", price=" + price + "]";
	}
}
public class Behaviour2 {
	private static Car[] carArray  = {
		    new Car(1, "BENS SCLASS", "BLACK", 11000), 
		    new Car(2, "BNW 9", "BLUE", 8000), 
		    new Car(3, "KEA 9", "WHITE", 7000)
		};

	private static List<Car> inventory = Arrays.asList(carArray);


		public static List<Car> filterCarByColor(List<Car> inventory,  String color) {
		    List<Car> result = new ArrayList<>();                           
		    for (Car car: inventory){
		        if ( car.getColor().equals(color) )             result.add(car);
		    }
		    return result;
		}
		public static void main(String args[]) {
			System.out.println(filterCarByColor(inventory, "WHITE"));	
		}
}
