import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Graphics;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class DrawImageFrame2 extends JFrame {

	Image img;
	int pos_x = 100, pos_y = 0;

	public DrawImageFrame2() {

		ImageIcon icon = new ImageIcon("car.jpeg");
		img = icon.getImage();
		setSize(500, 200);
		add(new MyPanel(), BorderLayout.CENTER);
		JPanel panel = new JPanel();
		Button b1 = new Button(" ̵");
		Button b2 = new Button(" ̵");
		b1.addActionListener(e -> {
			pos_x -= 10;
			repaint();
		});
		b2.addActionListener(e -> {
			pos_x += 10;
			repaint();
		});
		panel.add(b1);
		panel.add(b2);
		add(panel, BorderLayout.SOUTH);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	class MyPanel extends JPanel {
		public void paintComponent(Graphics g) {
			super.paintComponent(g);
			g.drawImage(img, pos_x, pos_y, this);
		}

	}

	public static void main(String[] args) {
		DrawImageFrame2 f = new DrawImageFrame2();
	}
}